ChartDirector Ver 5.0 (PHP Edition)

BaseChart.radialGradientColor

Usage

radialGradientColor(cx, cy, rx, ry, startColor, endColor [, periodic ])

Description

Creates a two-point radial gradient color.

Arguments

Argument | Default | Description
--- | --- | ---
cx | (Mandatory) | The x coordinate of the center of the radial gradient.
cy | (Mandatory) | The y coordinate of the center of the radial gradient.
rx | (Mandatory) | The horizontal radius of the radial gradient defining ellipse.
ry | (Mandatory) | The vertical radius of the radial gradient defining ellipse.
startColor | (Mandatory) | The color at the center of the gradient defining ellipse.
endColor | (Mandatory) | The color at the perimeter of the gradient defining ellipse.
periodic | false | Specifies whether the gradient will repeat itself periodically. If the gradient does not repeat itself, the points that lie outside the gradient defining ellipse will assume the color at the perimeter of the gradient defining ellipse.

Return Value

A 32-bit integer representing the radial gradient color.

© 2009 Advanced Software Engineering Limited. All rights reserved.